﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <Filter Include="Source Files">
      <UniqueIdentifier>{4FC737F1-C7A5-4376-A066-2A32D752A2FF}</UniqueIdentifier>
      <Extensions>cpp;c;cc;cxx;c++;cppm;ixx;def;odl;idl;hpj;bat;asm;asmx</Extensions>
    </Filter>
    <Filter Include="Header Files">
      <UniqueIdentifier>{93995380-89BD-4b04-88EB-625FBE52EBFB}</UniqueIdentifier>
      <Extensions>h;hh;hpp;hxx;h++;hm;inl;inc;ipp;xsd</Extensions>
    </Filter>
    <Filter Include="Resource Files">
      <UniqueIdentifier>{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}</UniqueIdentifier>
      <Extensions>rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav;mfcribbon-ms</Extensions>
    </Filter>
    <Filter Include="Header Files\Stream">
      <UniqueIdentifier>{72c9c435-bec7-4730-8d2c-aad676164075}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Stream">
      <UniqueIdentifier>{3597ed0f-f1c1-4f66-bafa-8c3151b01149}</UniqueIdentifier>
    </Filter>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="Src\PolishNotationCalculator.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Src\Utils.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Src\Engine.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="Src\ConsoleInput.cpp">
      <Filter>Source Files\Stream</Filter>
    </ClCompile>
    <ClCompile Include="Src\FileInput.cpp">
      <Filter>Source Files\Stream</Filter>
    </ClCompile>
    <ClCompile Include="Src\ConsoleOutput.cpp">
      <Filter>Source Files\Stream</Filter>
    </ClCompile>
    <ClCompile Include="Src\FileOutput.cpp">
      <Filter>Source Files\Stream</Filter>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Src\PolishNotationCalculator.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Src\Utils.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Src\pch.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Src\Engine.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="Src\IInput.h">
      <Filter>Header Files\Stream</Filter>
    </ClInclude>
    <ClInclude Include="Src\IOutput.h">
      <Filter>Header Files\Stream</Filter>
    </ClInclude>
    <ClInclude Include="Src\FileInput.h">
      <Filter>Header Files\Stream</Filter>
    </ClInclude>
    <ClInclude Include="Src\ConsoleInput.h">
      <Filter>Header Files\Stream</Filter>
    </ClInclude>
    <ClInclude Include="Src\ConsoleOutput.h">
      <Filter>Header Files\Stream</Filter>
    </ClInclude>
    <ClInclude Include="Src\FileOutput.h">
      <Filter>Header Files\Stream</Filter>
    </ClInclude>
  </ItemGroup>
</Project>